Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Notifications are not working through ruby_gntp #88

Closed
ghost opened this Issue · 8 comments

2 participants

Michael Kessler Joe Sak
Deleted user

I see that the recommended gem to enable Growl notifications is ruby_gntp.

I'm just defining these gems in my Gemfile:

group :development do
  gem 'guard'
  gem 'guard-rspec'
  gem 'guard-spork'
end

group :test, :development do
  gem 'rspec-rails'
  gem 'spork'
  gem 'growl'
  gem 'ruby_gntp'
end

group :test do
  gem 'rb-fsevent'
  gem 'webrat'
end

I run guard and it gives me the ERROR: Error sending notification with gntp: Connection refused - connect(2):

Guard uses GNTP to send notifications.
Guard is now watching at '/Users/david/Sites/rails_tutorials/rails_tutorial'
Starting Spork for RSpec
NOTE: Gem.latest_load_paths is deprecated with no replacement. It will be removed on or after 2011-10-01.
Gem.latest_load_paths called from /Users/david/.rvm/gems/ruby-1.9.3-p0/gems/spork-0.8.5/lib/spork.rb:112.
NOTE: Gem.all_partials is deprecated with no replacement. It will be removed on or after 2011-10-01.
Gem.all_partials called from /Users/david/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems.rb:603.
NOTE: Gem.all_partials is deprecated with no replacement. It will be removed on or after 2011-10-01.
Gem.all_partials called from /Users/david/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems.rb:603.
Using RSpec
Loading Spork.prefork block...
Spork is ready and listening on 8989!
Spork server for RSpec successfully started
ERROR: Error sending notification with gntp: Connection refused - connect(2)
Guard::RSpec is running, with RSpec 2!
Running all specs
ERROR: Error sending notification with gntp: Connection refused - connect(2)

I have enabled the "Listen for incoming notifications" option in my Growl settings.
By the way, iTunes notifications work fine through Growl, as well as Adium and other apps. So I think my Growl installation is ok.

My system is OS X Lion 10.7.2, and my Growl version is 1.2

Is this issue related to the ruby_gntp gem?

Deleted user

Also it seems that the option :notification => false in the guard 'rspec' block in the Guardfile is ignored.

Michael Kessler
Owner

ruby_gntp needs at least Growl 1.3 as described in the Guard README.

Deleted user

Oh, you're right. Sorry, I didn't read it carefuly, my bad!

Deleted user ghost closed this
Deleted user

For anyone that also has the problem of being on OS X Lion and Growl 1.2: download the latest 1.2 version from the growl website, and install growlnotify from the extras folder. Then install the growl gem, and notifications will work out of the box.

This is (very well) explained in the Guard README, but just for the record :)

Joe Sak

What about people on Snow Leopard with 1.2?

Michael Kessler
Owner

Just use the growl notifier.

Joe Sak

Oh okay never mind sorry, I had some crossed wires (still had to gem uninstall ruby_gntp)

Deleted user

I am having the same issue on OS X Lion and Growl 1.2.2. I'ved tried to install the growlnotify and growl gem. But still has that error message. And it's ignoring the :notification => false flag. What I want is just to remove this annoying message.....

This issue was closed.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.